Bug 224224 - databases/luadbi: linker error (-lsqlite3) in Poudriere
Summary: databases/luadbi: linker error (-lsqlite3) in Poudriere
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-10 17:36 UTC by martin
Modified: 2019-02-07 10:00 UTC (History)
4 users (show)

See Also:
olexander.v.melnyk: maintainer-feedback+


Attachments
v1 (533 bytes, patch)
2018-01-19 23:53 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description martin 2017-12-10 17:36:08 UTC
Hi,

luadbi does not build in Poudriere. It gives me a linker error that points to -lsqlite3.

The Lua version I use is 5.1. Poudriere tries to build lua51-luadbi-0.6.

--
Martin
Comment 1 olexander.v.melnyk 2017-12-19 08:45:29 UTC
hi

Which version (and arch) of FreeBSD do you use?
Did you try the latest version of sqlite3?
Comment 2 martin 2017-12-19 09:05:27 UTC
Hi,

it is FreeBSD-11.1-p4 on amd64.

The build is in Poudriere. It should install the most recent databases/sqlite3 port transparently as dependency for me, even without me asking for it explicitly. For some reason, it does not.

--
Martin
Comment 3 martin 2017-12-26 21:43:22 UTC
Hi,

the port does not compile with portmaster, either, by the way. But I managed to compile lua51-luadbi with SQLite3 by adding -L/usr/local/lib before -lsqlite3 in the Makefile.

I hope it helps.

--
Martin
Comment 4 Tobias C. Berner freebsd_committer 2018-01-19 23:53:50 UTC
Created attachment 189921 [details]
v1

Hi there

Here you can see the build error with SQLIT3=on:
https://people.freebsd.org/~tcberner/logs/lua52-luadbi-0.6.log

A possible fix is to add USES=localbase:ldflags to the SQLITE3_USES list.


mfg Tobias
Comment 5 Nathan 2018-09-17 00:38:38 UTC
Tried the patch and it does fix it. Currently still broken in ports without this patch
Comment 6 commit-hook freebsd_committer 2019-02-07 10:00:11 UTC
A commit references this bug:

Author: mfechner
Date: Thu Feb  7 09:59:43 UTC 2019
New revision: 492355
URL: https://svnweb.freebsd.org/changeset/ports/492355

Log:
  Fixed linker error if option sqlite3 is enable.

  PR:		224224
  Submitted by:	tcberner
  Reported by:	martin@sugioarto.com

Changes:
  head/databases/luadbi/Makefile
Comment 7 Matthias Fechner freebsd_committer 2019-02-07 10:00:58 UTC
Committed thanks!